apiVersion: traefik.containo.us/v1alpha1
kind: IngressRoute
metadata:
  name: argocd-server
  annotations:
    link.argocd.argoproj.io/external-link: https://argocd.k8snonlive.home
spec:
  entryPoints:
    - web
    - websecure
  routes:
    - match: Host(`argocd.k8snonlive.home`)
      kind: Rule
      priority: 10
      middlewares:
        - name: noauth-chain
      services:
        - name: argocd-server
          port: 80
    - match: Host(`argocd.k8snonlive.home`) && Headers(`Content-Type`, `application/grpc`)
      kind: Rule
      priority: 11
      middlewares:
        - name: noauth-chain
      services:
        - name: argocd-server
          port: 80
          scheme: h2c
